/[pcsx2_0.9.7]/auto_update_from_upstream.sh
ViewVC logotype

Diff of /auto_update_from_upstream.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

--- auto_update_from_upstream.sh	2010/09/10 12:30:03	132
+++ auto_update_from_upstream.sh	2010/09/13 09:24:37	154
@@ -14,11 +14,15 @@
 echo "UPSTREAM TRUNK: $upstream_trunk"
 echo "DOWNSTREAM EXPORT LOCATION: $downstream_export_location"
 
-cd "$upstream_trunk/trunk"
 
 
-if [ "$upstream_revision" == "HEAD" ] ; then
+#if [ "$upstream_revision" == "HEAD" ] ; then
+	cd "$upstream_trunk/trunk"
 	svn update > /dev/null
+	cd "$downstream_export_location"
+	. ./auto_version_defs.sh
+	echo "$PCSX2_REVISION_LOCAL" > "$upstream_trunk/trunk/local_repository_revision.txt"	
+	cd "$upstream_trunk/trunk"
 	echo
 	echo -n "Updated Upstream PCSX2 Repository to Revision: "
 	#svn log -r head:prev --xml | grep "revision=" | sed s/".*revision=\""// | sed s/"\".*"// > "$upstream_trunk/trunk/upstream_repository_revision.txt"
@@ -30,20 +34,20 @@
 	mkdir -p "$upstream_trunk/trunk/bin"
 	echo "$PCSX2_VERSION" > "$upstream_trunk/trunk/bin/pcsx2-version.txt"
 	#echo "$PCSX2_REVISION_LOCAL" > "$upstream_trunk/trunk/local_repository_revision.txt"
-else
-	svn update -r "$upstream_revision" > /dev/null
-	echo
-	echo -n "Updated Upstream PCSX2 Repository to Revision: "
-	#svn log -r head:prev --xml | grep "revision=" | sed s/".*revision=\""// | sed s/"\".*"// > "$upstream_trunk/trunk/upstream_repository_revision.txt"
-	echo "$PCSX2_REVISION" > "$upstream_trunk/trunk/upstream_repository_revision.txt"
-	export upstream_revision=`cat "$upstream_trunk/trunk/upstream_repository_revision.txt"`
-	echo $upstream_revision
-	upstream_repository_url=`svn info --xml | grep "<url>" | sed s/"^<url>"// | sed s/"<\/url>$"//`
-	echo "$upstream_repository_url" > "$upstream_trunk/trunk/upstream_repository_url.txt"
-	mkdir -p "$upstream_trunk/trunk/bin"
-	echo "$PCSX2_VERSION" > "$upstream_trunk/trunk/bin/pcsx2-version.txt"
-	#echo "$PCSX2_REVISION_LOCAL" > "$upstream_trunk/trunk/local_repository_revision.txt"
-fi
+#else
+#	svn update -r "$upstream_revision" > /dev/null
+#	echo
+#	echo -n "Updated Upstream PCSX2 Repository to Revision: "
+#	#svn log -r head:prev --xml | grep "revision=" | sed s/".*revision=\""// | sed s/"\".*"// > "$upstream_trunk/trunk/upstream_repository_revision.txt"
+#	echo "$PCSX2_REVISION" > "$upstream_trunk/trunk/upstream_repository_revision.txt"
+#	export upstream_revision=`cat "$upstream_trunk/trunk/upstream_repository_revision.txt"`
+#	echo $upstream_revision
+#	upstream_repository_url=`svn info --xml | grep "<url>" | sed s/"^<url>"// | sed s/"<\/url>$"//`
+#	echo "$upstream_repository_url" > "$upstream_trunk/trunk/upstream_repository_url.txt"
+#	mkdir -p "$upstream_trunk/trunk/bin"
+#	echo "$PCSX2_VERSION" > "$upstream_trunk/trunk/bin/pcsx2-version.txt"
+#	#echo "$PCSX2_REVISION_LOCAL" > "$upstream_trunk/trunk/local_repository_revision.txt"
+#fi
 
 
 
@@ -69,7 +73,7 @@
 			echo
 			echo -e "\\tAborting update of $downstream_export_location/trunk"
 			echo
-			exit 0
+			exit 1
 		fi
 	else
 		echo "UPSTREAM REVISION: $PCSX2_REVISION"

 

  ViewVC Help
Powered by ViewVC 1.1.22